<?php



require_once GREEN_ZONE_DIR . 'Utils/GZ_DataMapper.php';



class ObsInterface extends GZ_DataMapper
{
  public function __construct()
  {
    parent::__construct();
    
    $this->MakeMapping( 'primary_key', 'GetFileID' );
    $this->MakeMapping( 'file_id', 'GetFileID' );
    $this->MakeMapping( 'src_name', 'GetPulsarName' );
    $this->MakeMapping( 'data_loc', 'GetFile', 'GetFilename' );
    $this->MakeMapping( 'rajd', 'GetCoordinates()->GetRA', 'ToDegrees' );
    $this->MakeMapping( 'decjd', 'GetCoordinates()->GetDEC', 'ToDegrees' );
    $this->MakeMapping( 'distance', 'GetDistance' );
    $this->MakeMapping( 'project_id', 'GetProjectID' );
    $this->MakeMapping( 'filename', 'GetFile', 'GetFilename' );
    $this->MakeMapping( 'data_type', 'GetDataType' );
    $this->MakeMapping( 'mjd', 'GetMJD', 'ToString' );
    $this->MakeMapping( 'date', 'GetDate', 'ToDMYString2' );
    $this->MakeMapping( 'ut', 'GetUT' );
    $this->MakeMapping( 'obsfreq', 'GetObsFreq' );
    $this->MakeMapping( 'bw', 'GetBW' );
    $this->MakeMapping( 'scanlen', 'GetScanLen' );
    $this->MakeMapping( 'child_interface', 'GetChildInterface' );
    $this->MakeMapping( 'child_data', 'GetCalibrations' );
  }
};

?>